import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeLayoutHeaderComponent from "./src/layout-header.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeLayoutHeader = Object.assign({}, VxeLayoutHeaderComponent, {
  install(app) {
    app.component(VxeLayoutHeaderComponent.name, VxeLayoutHeaderComponent);
  }
});
dynamicApp.use(VxeLayoutHeader);
VxeUI.component(VxeLayoutHeaderComponent);
const LayoutHeader = VxeLayoutHeader;
export {
  LayoutHeader,
  VxeLayoutHeader,
  VxeLayoutHeader as default
};
